package digital.laboratory.platform.reagent.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;
@Data
public class PeriodVerificationImplementationDTO {

    @ApiModelProperty(value="(不满足应用要求原因分析)")
    private String causeOfDissatisfaction;

    @ApiModelProperty(value="(核查时间)")
    private LocalDate checkingTime;

    @ApiModelProperty(value="(核查实施情况及结果)")
    private String implementationAndResults;

    @ApiModelProperty(value="(备注)")
    private String remarks;

    @ApiModelProperty(value="(期间核查计划明细ID)")
    private String periodVerificationPlanId;

    @ApiModelProperty(value="(核查人ID)")
    private Integer opinionOfInspector;

    @ApiModelProperty(value="(标准物质期间核查实施情况及结果记录表ID)")
    private String periodVerificationImplementationId;

    @ApiModelProperty(value="(核查结果：PDF)")
    private String result;

    @ApiModelProperty(value="(核查方法)")
    private String verificationMethod;

    @ApiModelProperty(value="(偏差/不确定度)")
    private String deviationAndUncertainty;
}
