package digital.laboratory.platform.reagent.entity;

import digital.laboratory.platform.reagent.vo.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
@Data
public class ReviewAndApprove {

    @ApiModelProperty(value="分散采购申请数组")
    List<DecentralizedRequestVO> decentralizedRequestVOList;

    @ApiModelProperty(value="采购计划数组")
    List<PurchasingPlanVO> purchasingPlanVOList;

    @ApiModelProperty(value="验收记录表数组")
    List<AcceptanceRecordFormVO> acceptanceRecordFormVOList;

    @ApiModelProperty(value="符合性检查数组")
    List<ComplianceCheckVO> complianceCheckVOList;

    @ApiModelProperty(value="期间核查计划数组")
    List<CheckScheduleVO> checkScheduleVOList;

    @ApiModelProperty(value="期间核查结果实施表数组")
    List<PeriodVerificationImplementationVO> periodVerificationImplementationVOList;

    @ApiModelProperty(value="采购目录数组")
    List<PurchaseCatalogueVO> purchaseCatalogueVOList;

    @ApiModelProperty(value="标准物质报废降级审批表数组")
    List<StandardMaterialApprovalFormVO> standardMaterialApprovalFormList;

    @ApiModelProperty(value="供应商评价表数组")
    List<EvaluationFormVO> evaluationFormVOList;

    @ApiModelProperty(value="指导书数组")
    List<InstructionBookVO> instructionBookList;

}
