package digital.laboratory.platform.reagent.mapper;

import cn.hutool.db.Page;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import digital.laboratory.platform.reagent.entity.StorageRegistrationForm;
import digital.laboratory.platform.reagent.vo.StorageRegistrationFormVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (试剂耗材入库登记表) Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (试剂耗材入库登记表) Mapper 类
 */
@Mapper
public interface StorageRegistrationFormMapper extends BaseMapper<StorageRegistrationForm> {

    List<StorageRegistrationFormVO> getStorageRegistrationFormVOList(QueryWrapper<StorageRegistrationForm> qw);

}
