package digital.laboratory.platform.reagent.service;

import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.reagent.entity.Blacklist;
import digital.laboratory.platform.reagent.vo.BlackListVO;

import java.util.List;

/**
 * (试剂耗材黑名单)服务类
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (试剂耗材黑名单) 服务类
 */
public interface BlacklistService extends IService<Blacklist> {

    Blacklist addListById(String reagentConsumableId, String supplierId);

    Blacklist addListById2(String reagentConsumableId, String supplierId);

    List<BlackListVO> getBlacklist(String supplierInformationId);
}
