package digital.laboratory.platform.reagent.vo;

import digital.laboratory.platform.reagent.entity.AcceptanceRecordForm;
import digital.laboratory.platform.reagent.entity.ReagentConsumables;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "验收记录表VO")
public class AcceptanceRecordFormVO extends AcceptanceRecordForm {

    @ApiModelProperty(value = "(试剂耗材名称)")
    private String reagentConsumableName;

    @ApiModelProperty(value = "(供应商名称)")
    private String supplierName;

    @ApiModelProperty(value = "(一级审核人名称)")
    private String primaryAuditorName;

    @ApiModelProperty(value = "(二级审核人名称)")
    private String secondaryAuditorName;

    @ApiModelProperty(value = "(三级审核人名称)")
    private String threeLevelAuditorName;

    @ApiModelProperty(value = "(试剂耗材对象)")
    private ReagentConsumables reagentConsumables;

    private String type = "验收记录";

    private String createName;


}
