package digital.laboratory.platform.reagent.vo;

import digital.laboratory.platform.reagent.entity.DeliveryRegistrationForm;
import digital.laboratory.platform.reagent.entity.OutgoingContents;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(出库登记表VO)")
public class DeliveryRegistrationFormVO extends DeliveryRegistrationForm {

    @ApiModelProperty(value = "出库人名称")
    private String depositorName;

    @ApiModelProperty(value = "出库申请人名称")
    private String outgoingApplicantName;

    @ApiModelProperty(value = "出库内容合集")
    List<OutgoingContentsVO> outgoingContentsList;

    @ApiModelProperty(value = "出库种类")
    private Integer typeOfDelivery;
}
