package digital.laboratory.platform.reagent.vo;

import digital.laboratory.platform.reagent.dto.StandardMaterialApplicationDTO;
import digital.laboratory.platform.reagent.entity.ReagentConsumables;
import digital.laboratory.platform.reagent.entity.StandardMaterialApplication;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@ApiModel(value = "(标准物质领用归还登记表)")
@EqualsAndHashCode(callSuper = true)
public class StandardMaterialApplicationVO extends StandardMaterialApplication {

    @ApiModelProperty(value = "(标准物质名称)")
    private String referenceSubstanceName;

    @ApiModelProperty(value = "(领用人名称)")
    private String recipientName;

    @ApiModelProperty(value = "(管理员名称)")
    private String administratorName;

    @ApiModelProperty(value = "(类别)")
    private String category;

    @ApiModelProperty(value="(配置浓度(mg/mL))")
    private String  configurationConcentration;

    private ReagentConsumables reagentConsumables;

}
