package digital.laboratory.platform.reagent.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class AcceptanceRecordFormDTO {

    @ApiModelProperty(value = "(后续处理情况)")
    private String followUpTreatment;

    @ApiModelProperty(value = "(验收记录表ID)")
    private String acceptanceRecordFormId;

    @ApiModelProperty(value = "(品牌型号一致)")
    private String theSameBrandAndModel;

    @ApiModelProperty(value = "(品牌型号一致备注)")
    private String bam_remarks;

    @ApiModelProperty(value = "(数量一致)")
    private String consistentQuantity;

    @ApiModelProperty(value = "(数量一致备注)")
    private String cq_remarks;

    @ApiModelProperty(value = "(包装完好)")
    private String packingInGoodCondition;

    @ApiModelProperty(value = "(包装完好备注)")
    private String pcg_remarks;

    @ApiModelProperty(value = "(有效期)")
    private String validityPeriod;

    @ApiModelProperty(value = "(有效期备注)")
    private String vp_remarks;

    @ApiModelProperty(value = "(供货周期)")
    private String deliveryCycle;

    @ApiModelProperty(value = "(供货周期备注)")
    private String dc_remarks;

    @ApiModelProperty(value = "(验收结论)")
    private String acceptanceConclusion;

    @ApiModelProperty(value = "(不合格项目)")
    private String nonconformingItem;
}
