package digital.laboratory.platform.reagent.dto;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class DecentralizedRequestDTO {
    @ApiModelProperty(value = "(品牌)")

    private String brand;
    @ApiModelProperty(value = "(类别)")

    private String category;
    @ApiModelProperty(value="偏差/不确定度")

    private String deviationOrUncertainty;

    @ApiModelProperty(value="包装份数")

    private String packagedCopies;

    @ApiModelProperty(value="(数量)")

    private Integer quantity;
    @ApiModelProperty(value="(种类)")

    private String species;
    @ApiModelProperty(value="(试剂耗材ID)")

    private String reagentConsumableId;
    @ApiModelProperty(value="(规格型号)")

    private String specificationAndModel;
    @ApiModelProperty(value="(技术参数)")

    private String technicalParameter;
    @ApiModelProperty(value="(标准值/纯度)")

    private String standardValueOrPurity;
    @ApiModelProperty(value="(用途)")

    private String purpose;
    @ApiModelProperty(value="(分散采购申请ID)")

    private String decentralizedRequestId;
    @ApiModelProperty(value="(分散采购申请明细.ID)")

    private String decentralizeDetailsId;
    @ApiModelProperty(value="单价")

    private Double unitPrice;
    @ApiModelProperty(value="(试剂耗材名称)")

    private String reagentConsumableName;
    @ApiModelProperty(value="存储条件")

    private String storageCondition;
    @ApiModelProperty(value="别名")

    private String alias;
    @ApiModelProperty(value="备注")

    private String remark;
    @ApiModelProperty(value="(英文名)")

    private String englishName;
    @ApiModelProperty(value="包装单位")

    private String minimumUnit;

}
