package digital.laboratory.platform.reagent.vo;

import digital.laboratory.platform.reagent.entity.ApplicationForUse;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
@Data
@ApiModel(value = "领用申请表VO")
public class ApplicationForUseVO extends ApplicationForUse {
    @ApiModelProperty(value = "(领用人名称)")
    private String recipientName;

    @ApiModelProperty(value = "(领用内容数组)")
    List <ReagentConsumablesSetVO> reagentConsumablesSetVOList;
}
