package digital.laboratory.platform.reagent.vo;

import digital.laboratory.platform.reagent.entity.ProvideServicesOrSupplies;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class ProvideServicesOrSuppliesVO extends ProvideServicesOrSupplies {

    @ApiModelProperty(value="(试剂耗材名称)")
    private String reagentConsumableName;

    @ApiModelProperty(value="(品牌)")
    private String brand;

    @ApiModelProperty(value="(类别)")
    private String category;

    @ApiModelProperty(value="(规格型号)")
    private String specificationAndModel;


}
